mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IClientChannelSinkStack System.Runtime.InteropServices.ComVisible(true)

This class makes a link demand. A security exception is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Holds the stack of client channel sinks that must be invoked during an asynchronous message response decoding.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified reply sink.

  The that the current stack can use to reply to messages.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method initializes asynchronous processing on the top sink in the current sink stack. For additional information, see .

  Requests asynchronous processing of a method call on the sinks that are in the current sink stack.

  The headers that are retrieved from the server response stream. The stream that is returning from the transport sink.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method dispatches the specified exception to the server through the reply sink that is specified in the constructor of the current sink stack. If the current sink stack was created without a reply sink, the exception is not transmitted, and no new exception is thrown.

  Dispatches the specified exception on the reply sink.

  The exception to dispatch to the server.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method dispatches the specified message to the server through the reply sink that is specified in the constructor of the current sink stack. If the current sink stack was created without a reply sink, the message is not transmitted, and no new exception is thrown.

  Dispatches the specified reply message on the reply sink.

  The to dispatch.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Pops the information that is associated with all the sinks from the sink stack up to and including the specified sink.

  Information generated on the request side and associated with the specified sink.

  The sink to remove and return from the sink stack.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The information generated on the request side and specified in the parameter is returned in the parameter of the method on the corresponding sink.

  Pushes the specified sink and information that is associated with it onto the sink stack.

  The sink to push onto the sink stack. Information generated on the request side that is needed on the response side.